.menu {

  &__btn {
    position: fixed;
    z-index: 3;
    display: flex;
    width: 60px;
    height: 100vh;
    justify-content: center;
    align-items: center;

    @include media-breakpoint-down(xl) {
      position: absolute;
      top: 43px;
      right: 20px;
      width: auto;
      height: auto;
    }

    &:hover {

      .menu__btn-content-item {

        &:nth-child(2) {
          width: 11px;

          @include media-breakpoint-down(xl) {
            width: 20px;
          }
        }
      }
    }

    &:after {
      position: absolute;
      z-index: 1;
      top: 50%;
      left: 0;
      display: block;
      width: 100%;
      height: 100%;
      content: '';
      background: url(../img/menu-btn-bg1.svg) no-repeat right center;
      background-size: 100% 100%;
      border-radius: 0 35px 35px 0;
      box-shadow: 0 25px 50px rgba(189, 189, 189, .35);
      transform: translateY(-50%);

      @include media-breakpoint-down(xl) {
        display: none;
      }
    }

    &--active {

      &:after {
        box-shadow: none;
      }

      .menu__btn-content-item {

        &:nth-child(1) {
          top: 50%;
          transform: translateY(-50%) rotate(45deg);
          transform-origin: center center;
        }

        &:nth-child(2) {
          opacity: 0;
        }

        &:nth-child(3) {
          top: 50%;
          transform: translateY(-50%) rotate(-45deg);
          transform-origin: center center;
        }
      }
    }
  }

  &__btn-content {
    position: relative;
    z-index: 2;
    display: flex;
    width: 24px;
    height: 24px;
    flex-direction: column;
    justify-content: center;
    align-items: flex-start;

    @include media-breakpoint-down(xl) {
      align-items: center;
    }
  }

  &__btn-content-item {
    position: absolute;
    margin-bottom: 4px;
    width: 20px;
    height: 2px;
    background: $black;
    border-radius: 2px;

    @include transition;

    &:nth-child(1) {
      top: 5px;
    }

    &:nth-child(2) {
      top: 11px;
    }

    &:nth-child(3) {
      top: 17px;
    }
  }

  &__content {
    position: fixed;
    z-index: 2;
    top: 0;
    left: 0;
    padding: 30px 75px 77px 95px;
    height: 100%;
    pointer-events: none;
    transition: transform .7s cubic-bezier(.25, .1, .25, 1);
    transform: translateX(-100%);

    @media (max-height: 899px) {
      padding-bottom: 30px;
    }

    @include media-breakpoint-down(xl) {
      padding: 172px 20px 20px;
      overflow: auto;
      width: 100%;
      opacity: 0;
      background: #fff;
      transform: none;

      @include transition;
    }

    @include media-breakpoint-down(md) {
      padding-top: 133px;
      height: 100%;
    }

    &:before {
      position: absolute;
      top: 50%;
      left: 0;
      display: block;
      width: 100%;
      height: 100%;
      content: '';
      background: url(../img/menu-bg2.svg) no-repeat right top;
      background-size: 100% 100%;
      transform: translateY(-50%);

      @include media-breakpoint-down(xl) {
        display: none;
      }
    }

    &--active {
      pointer-events: all;
      transform: translateX(0);

      @include media-breakpoint-down(xl) {
        opacity: 1;
      }
    }
  }

  &__wrapper {
    position: relative;
    z-index: 3;
    display: flex;
    height: 100%;
    flex-direction: column;
    justify-content: space-between;

    @include media-breakpoint-down(xl) {
      justify-content: flex-start;
      align-items: center;
    }
  }

  &__top {
  }

  &__logo {
    margin-bottom: 80px;
    display: block;

    @media (max-height: 899px) {
      margin-bottom: 40px;
    }

    @include media-breakpoint-down(xl) {
      display: none;
    }
  }

  &__links-wrapper {
    margin-bottom: 60px;

    @include media-breakpoint-down(md) {
      margin-bottom: 20px;
    }
  }

  &__link {
    margin-bottom: 20px;
    display: block;
    text-decoration: none;
    color: $black;

    @include transition;

    @media (max-height: 899px) {
      margin-bottom: 20px;
      font-size: 60px;
    }

    @media (max-height: 700px) {
      margin-bottom: 20px;
      font-size: 50px;
    }

    @include media-breakpoint-down(xl) {
      text-align: center;
    }

    @include media-breakpoint-down(md) {
      font-size: 48px;
    }

    &:last-child {
      margin-bottom: 0;
    }

    &:hover,
    &--active {
      color: $gray;
    }
  }

  &__info {

    @include media-breakpoint-down(xl) {
      padding-bottom: 60px;
      display: flex;
      flex-direction: column;
      align-items: center;
      text-align: center;
    }
  }

  &__contact {
    margin-bottom: 10px;
    display: block;
    text-decoration: none;
    color: $gray;

    @include transition;
  }

  &__socials {
    margin-top: 20px;

    @include media-breakpoint-down(xl) {
      margin-top: 10px;
    }
  }

  &--closer {

    .menu__btn {
      z-index: 5;
    }

    .menu__content {
      z-index: 4;
    }
  }
}
